package com.swiftcleaner.chovey.view.activity

import com.swiftcleaner.chovey.R
import com.swiftcleaner.chovey.business.newAdmob.AdmobHelps
import com.swiftcleaner.chovey.databinding.FragmentNativeFullBinding
import com.swiftcleaner.chovey.view.BaseFragment

class NativeFullFragment : BaseFragment<FragmentNativeFullBinding>() {

    override val binding: FragmentNativeFullBinding by lazy {
        FragmentNativeFullBinding.inflate(layoutInflater)
    }

    override fun setView() {
        AdmobHelps.showNativeAd(requireActivity(), binding.flNativeAd , layout = R.layout.layout_ad_native_full)
        binding.ivNext.setOnClickListener {
            val activity = requireActivity() as GuideActivity?
            activity ?: requireActivity()
            activity?.next()
        }
    }

}